import 'package:msh_mesg_tracking_v2/src/model/cov_type.dart';
import 'package:msh_mesg_tracking_v2/src/model/log_type.dart';

/// ParamsLog
class ParamsLog {
  final String domain;
  final String curl;
  final String rurl;
  final String vid;
  final COV_TYPE cov;
  final LOG_TYPE ltype;
  final String boxid;
  final String dspid;
  final String algid;
  final String ext;

  ParamsLog(
      {this.domain,
      this.curl,
      this.rurl,
      this.vid,
      this.cov,
      this.ltype,
      this.boxid,
      this.dspid,
      this.algid,
      this.ext});

  Map toJson() => {
        "domain": domain,
        "curl": curl,
        "rurl": rurl,
        "vid": vid,
        "cov": cov,
        "ltype": ltype,
        "boxid": boxid,
        "dspid": dspid,
        "algid": algid,
        "ext": ext
      };
}
